Bug 31987 - [gles2] if input a wrong pname(GL_NONE) to glGetBoolean, it will not case GL_INVALID_ENUM
[gles2] if input a wrong pname(GL_NONE) to glGetBoolean, it will not case GL_...
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
unspecified
Other All
: medium normal
Assigned To: Kenneth Graunke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-30 01:17 UTC by Hai
Modified: 2010-12-06 21:47 UTC (History)
2 users (show)

See Also:


Attachments
input a wrong pname(GL_NONE) to glGetBoolean (1.85 KB, text/plain)
2010-11-30 01:23 UTC, Hai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hai 2010-11-30 01:17:43 UTC
System Environment:
--------------------------
Libdrm:        (master)2.4.22-17-g1443bea488f6ad47cb4469c01b35aea0377822c0
Mesa:        (master)c6ea4c0e8a6aa84a590ae63da3eb06c08c7356ed
Xserver:       
(server-1.9-branch)xorg-server-1.9.2.901-12-g65f2ab20b22914a142497057cc8919a357829a95
Xf86_video_intel:       
(master)2.13.901-5-g0bb135c40e5ac1bf7593ec1d68d2815cbf47aa25
Cairo:        (master)f238da5291cdb347daa0be64ecc393fc519c4ead
Kernel:    (drm-intel-fixes) 1bb95834bbcdc969e477a9284cf96c17a4c2616f

Bug detailed description:
-------------------------
If input GL_NONE as the pname to glGetBooleanv, it will not cause GL_INVALID_ENUM. This case happens on both Ironlake and Pineview.

Reproduce steps:
-------------------------
Build the attachment and run it.
Comment 1 Hai 2010-11-30 01:23:30 UTC
Created attachment 40661 [details]
input a wrong pname(GL_NONE) to glGetBoolean
Comment 2 Brian Paul 2010-12-03 15:05:53 UTC
This happened with full OpenGL too.

Fixed with commit 503983b09e86b2ea1bdc1268977e12eaea42293d
Comment 3 Hai 2010-12-06 21:41:39 UTC
Fixed. I have validated it on ironlake. The test case passed.
Comment 4 Hai 2010-12-06 21:47:32 UTC
System Environment for validation:
--------------------------
Libdrm:		(master)2.4.22-19-gaf3d282afbd3360245c2ef2d3552b2530f67481d
Mesa:		(master)4538ce915ba4c43290f4341ad80040b4b735eab3
Xserver:		(master)xorg-server-1.9.0-376-g311cad33155c64ed996418808727fc417168592e
Xf86_video_intel:		(master)2.13.901-14-ge8f41c371024e2f3845c7652b22af8f5900200f2
Cairo:		(master)d3accefd3b9a4db5f07fb1f7bb05fb4238bf36c1
Kernel:	(drm-intel-fixes) f3c91c1deaf8493526d8216be94c33e963f00962